### Method

# GtkSource Snippet get_language_id

#### Declaration [src]

    const gchar*
    gtk_source_snippet_get_language_id (
      GtkSourceSnippet* snippet
    )

#### Description [src]

Gets the language-id used for the source snippet.

The language identifier should be one that matches a source language `GtkSourceLanguage:id` property.

Gets property | `GtkSource.Snippet:language-id`

#### Return value

Type: `const gchar*`

The language identifier.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.